Subject: RE: [Isis-wg] doubts

From: Jeff Parker <[email-masked]>
Date: Thu, 26 Sep 2002 17:07:21 -0400

> For Lan,  consider the following situation :
> 
>      Machine A, B are in LAN.  A is the DIS. B is connected 
> to C via PP 
> circuit.
> 
>     B is having an old copy of an LSP.  now B is getting the 
> new copy of 
> the same LSP from  C via PP. so SRM flag will be set for that 
> LSP in B to 
> transmitt that LSP in LAN. By then B is getting the CSNP from 
> the DIS, 
> which has a latest version of that LSP, so B will set SSN flag for 
> requesting that LSP and according to the specification won't 
> clear the SRM 
> flag for that LSP in the Broadcast circuit. so  B will flood 
> the old LSP in 
> the broadcast circuit, even though it will converge soon, 
> this seems to be 
> unnecessary operation right? if i am wrong please correct me.
> 
> thanks
> rams.

Rams -
	I'm not sure I'm following all of this.  
Let me draw the network, and change a few names
to match 10589's language here...
B is connect to D via a p2p link, and to A, E and F
via a Bcast link

	          D
                |
	A*        B    E    F
      +         +    +    +
    ===========================  

A* == A is the DIS

I think this is your network.  
B has recieved LSP X from D, and has set the
SRM bit on circuit C (the circuit to the LAN).  
Section 7.3.15.2.b.1 talks about getting a 
CSPN on circuit C from DIS A

	1) If the reported value equals the database
	value and C is a non-broadcast circuit, clear
	the SRM flag for C in that LSP

Your observation is that we could safely clear the
SRM bit on a broadcast link as well as a p2p.  If there 
are other IS's E and F on the LAN, they will have just
seen the CSPN, so they will ask for the LSP if
they don't have it.  Nothing is gained by sending.
I don't know if this has been observed before or fixed
in some version of the draft - a brief look at the
recent revision shows no change.

As you note, there is no harm in the extra send, but
it does seem odd that this is singled out.  There
must be a reason 

Mike?  What are we missing?  

- jeff parker
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg